local Quad = love.graphics.newQuad
function love.load()
love.graphics.setBackgroundColor( 255, 255, 255 )
	sprite = love.graphics.newImage "jog1.png"
	    jog1 = {
        grade_x = 256,
        grade_y = 256,
        act_x = 200,
        act_y = 200,
        speed = 10
		
    }
	
	
	
 map = {
       { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
       { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
       { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ,0 ,1},
	   { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
	
    }
	
	
	quads = {
		down = {
			Quad( 0,   0, 32, 48, 128, 192);
			Quad(32,   0, 32, 48, 128, 192);
			Quad(64,   0, 32, 48, 128, 192);
			Quad(96,   0, 32, 48, 128, 192);
		};
		left = {
			Quad( 0,  48, 32, 48, 128, 192);
			Quad(32,  48, 32, 48, 128, 192);
			Quad(64,  48, 32, 48, 128, 192);
			Quad(96,  48, 32, 48, 128, 192);
		};
		right = {
			Quad( 0,  96, 32, 48, 128, 192);
			Quad(32,  96, 32, 48, 128, 192);
			Quad(64,  96, 32, 48, 128, 192);
			Quad(96,  96, 32, 48, 128, 192);
		};
		up = {
			Quad( 0, 144, 32, 48, 128, 192);
			Quad(32, 144, 32, 48, 128, 192);
			Quad(64, 144, 32, 48, 128, 192);
			Quad(96, 144, 32, 48, 128, 192);
		};
	}
	iterator = 1
	max = 4
	timer = 0
	moving = false
	direction = "down"
end


function love.update(dt)
    jog1.act_y = jog1.act_y - (jog1.act_y - jog1.grade_y)
    jog1.act_x = jog1.act_x - (jog1.act_x - jog1.grade_x)
end

	if moving then
		timer = timer + dt
		if timer > 0.2 then
			timer = 0
			iterator = iterator + 1
			if iterator > max then
				iterator = 1
			end
		end
	end
	
function love.draw()

  if direccion == 0 then
        love.graphics.drawq(img, up[nsteps],     player.act_x, player.act_y)
    elseif direccion == 1 then
        love.graphics.drawq(img, down[nsteps], player.act_x, player.act_y)
    elseif direccion == 2 then
        love.graphics.drawq(img, left[nsteps],    player.act_x, player.act_y)
    elseif direccion == 3 then
        love.graphics.drawq(img, right[nsteps],  player.act_x, player.act_y)
    end
love.graphics.setColor(255,255,255)
	love.graphics.drawq(sprite, quads[direction][iterator], 120, 120)
	    for y=1, #map do
        for x=1, #map[y] do
            if map[y][x] == 1 then
				love.graphics.setColor(55,255,25)
                love.graphics.rectangle("line", x * 32, y * 32, 32, 32)
            end
        end
    end
end

function love.keypressed2(key)
    if key == "up" then
        jog1.grade_y = jog1.grade_y - 32
    elseif key == "down" then
        jog1.grade_y = jog1.grade_y + 32
    elseif key == "left" then
        jog1.grade_x = jog1.grade_x - 32
    elseif key == "right" then
        jog1.grade_x = jog1.grade_x + 32
    end
	end

function love.keypressed(key)
	if quads[key] then 
		moving = true
		direction = key
	end
end
function love.keyreleased(key)
	if quads[key] and direction == key then 
		moving = false
		direction = "down"
		iterator = 1
	end
end




function testMap(x, y)
	love.graphics.setColor(55,255,25)
    if map[(jog1.grade_y / 32) + y][(jog1.grade_x / 32) + x] == 1 then
        return false
    end
    return true
end
